package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type PlaceProRouter struct {
}

// InitPlaceProRouter 初始化 PlacePro 路由信息
func (s *PlaceProRouter) InitPlaceProRouter(Router *gin.RouterGroup) {
	placeProRouter := Router.Group("placePro").Use(middleware.OperationRecord())
	var placeProApi = v1.ApiGroupApp.AutoCodeApiGroup.PlaceProApi
	{
		placeProRouter.POST("createPlacePro", placeProApi.CreatePlacePro)             // 新建PlacePro
		placeProRouter.DELETE("deletePlacePro", placeProApi.DeletePlacePro)           // 删除PlacePro
		placeProRouter.DELETE("deletePlaceProByIds", placeProApi.DeletePlaceProByIds) // 批量删除PlacePro
		placeProRouter.PUT("updatePlacePro", placeProApi.UpdatePlacePro)              // 更新PlacePro
		placeProRouter.GET("findPlacePro", placeProApi.FindPlacePro)                  // 根据ID获取PlacePro
		placeProRouter.GET("getPlaceProList", placeProApi.GetPlaceProList)            // 获取PlacePro列表
	}
}
